Notifly
API ReferenceSubscribers

Retrieve a subscriber

Retrieve a subscriber by its unique key identifier **subscriberId**. **subscriberId** field is required.

GET
/v2/subscribers/{subscriberId}

Retrieve a subscriber by its unique key identifier subscriberId. subscriberId field is required.

Authorization

secretKey
Authorization<token>

API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".

In: header

Path Parameters

subscriberId*string

The identifier of the subscriber

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v2/subscribers/string"
{  "data": {    "_id": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phone": "string",    "avatar": "string",    "locale": "string",    "channels": [      {        "providerId": "slack",        "integrationIdentifier": "string",        "credentials": {          "webhookUrl": "https://example.com/webhook",          "channel": "general",          "deviceTokens": [            "token1",            "token2",            "token3"          ],          "alertUid": "12345-abcde",          "title": "Critical Alert",          "imageUrl": "https://example.com/image.png",          "state": "resolved",          "externalUrl": "https://example.com/details"        },        "_integrationId": "string"      }    ],    "topics": [      "string"    ],    "isOnline": true,    "lastOnlineAt": "string",    "__v": 0,    "data": {},    "timezone": "string",    "subscriberId": "string",    "_organizationId": "string",    "_environmentId": "string",    "deleted": true,    "createdAt": "string",    "updatedAt": "string"  }}